<!DOCTYPE html>
<html lang="en">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Bugtracker</title>
<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.1/css/bootstrap.min.css"/>
</head>
<body>
<nav class="navbar navbar-expand-lg navbar-dark bg-dark">
    <div class="container">
        <a class="navbar-brand" th:href="@{/}">Bugtracker</a>
        <div class="collapse navbar-collapse">
            <ul class="navbar-nav ml-auto">
                <li>
                     <span class="navbar-text" sec:authentication="name">Username</span> &nbsp; &nbsp; &nbsp;
                </li>
                <li class="nav-item">
                    <a class="nav-link" th:href="@{/userList}">Users</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" th:href="@{/logout}">Logout</a>
                </li>
            </ul>
        </div>
    </div>
</nav>

<div class="container fluid pt-3">
    <div class="container row">
        <div class="col-lg-4">
            <div class="alert alert-success row" role="alert">
                <h4>To do</h4>
                <a th:href="@{/addIssue}" class="btn btn-success btn-sm ml-auto">Add issue</a>
            </div>
            <br/><br/>
            <div th:each ="issue : ${issueService.getTodoList()}" >
                <div class="card" >
                    <div class="card-body">
                        <h5 class="card-title" th:utext="${issue.name}">...</h5>
                        <ul class="list-group list-group-flush">
                            <li class="list-group-item"><p th:utext="${issue.description}" class="card-text">...</p></li>
                            <li class="list-group-item">Assignee: <p th:utext="${issue.assignee}" class="card-text">...</p></li>
                            <li class="list-group-item">Estimate: <p th:utext="${issue.estimate}" class="card-text">...</p></li>
                            <li class="list-group-item">
                                <div class="container row">
                                    <div class="col-sm-6">
                                    <form th:action="@{/assignToMe/{id}(id=${issue.id})}" method="post">
                                        <button type="submit" class="btn btn-dark btn-sm mr-auto">Assign to Me</button>
                                    </form>
                                    </div>
                                    <div class="col-sm-6">
                                    <form th:action="@{/moveToDev/{id}(id=${issue.id})}" method="post">
                                        <button type="submit" class="btn btn-dark btn-sm ml-auto">In Progress</button>
                                    </form>
                                    </div>
                                </div>
                            </li>
                        </ul>
                    </div>
                </div>
                <br/>
            </div>
        </div>

        <div class="col-lg-4">
            <div class="alert alert-primary" role="alert">
                <h4>In Progress</h4>
            </div>
            <br/><br/>
            <div th:each ="issue : ${issueService.getInDevList()}" >
                <div class="card" >
                    <div class="card-body">
                        <h5 class="card-title" th:utext="${issue.name}">...</h5>
                        <ul class="list-group list-group-flush">
                            <li class="list-group-item"><p th:utext="${issue.description}" class="card-text">...</p></li>
                            <li class="list-group-item">Assignee: <p th:utext="${issue.assignee}" class="card-text">...</p></li>
                            <li class="list-group-item">Estimate: <p th:utext="${issue.estimate}" class="card-text">...</p></li>
                            <li class="list-group-item">
                                <form th:action="@{/moveToDone/{id}(id=${issue.id})}" method="post">
                                    <button type="submit" class="btn btn-dark btn-sm">Move to Done</button>
                                </form>
                            </li>
                        </ul>
                    </div>
                </div>
                <br/>
            </div>
        </div>

        <div class="col-lg-4">
            <div class="alert alert-danger" role="alert">
                <h4>Done</h4>
            </div>
            <br/><br/>
            <div th:each ="issue : ${issueService.getDoneList()}" >
                <div class="card" >
                    <div class="card-body">
                        <h5 class="card-title" th:utext="${issue.name}">...</h5>
                        <ul class="list-group list-group-flush">
                            <li class="list-group-item"><p th:utext="${issue.description}" class="card-text">...</p></li>
                            <li class="list-group-item">Assignee: <p th:utext="${issue.assignee}" class="card-text">...</p></li>
                            <li class="list-group-item">Estimate: <p th:utext="${issue.estimate}" class="card-text">...</p></li>
                            <li class="list-group-item">
                                <form th:action="@{/closeIssue/{id}(id=${issue.id})}" method="post">
                                    <button type="submit" class="btn btn-dark btn-sm">Close Issue</button>
                                </form>
                            </li>
                        </ul>
                    </div>
                </div>
                <br/>
            </div>
        </div>
    </div>
</div>
</body>
</html>